Subject: Re: bug#54986: [PATCH] gnu: mpd: Add support for socket activation.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 18 Apr 2022 23:19:12 +0200

Am Montag, dem 18.04.2022 um 23:05 +0200 schrieb Ludovic Courtès:
> Hi,
> 
> Liliana Marie Prikler <[email-masked]> skribis:
> 
> > I'm not sure if updating the service is a good idea.  On the
> > upside, people who report mpd starting too early will be alleviated
> > of one issue.  On the downside, it appears as though mpd too easily
> > escapes shepherd's management.  My current observations are more or
> > less consistent with what I saw with Emacs: killing the mpd service
> > won't stop playing music,
> 
> Do you mean that ‘herd stop mpd’ doesn’t stop the mpd process?
Yep.
> What does /var/log/messages say?
I don't think there's anything meaningful there to inspect, I'm running
this as a user service.  Shepherd's own logs are rather empty.

Interestingly, the running value for the mpd service remains
(("unknown" . "#<input-output: socket 17>")) even after MPD started. 
Should that be the case?

> > and shepherd won't restart a killed MPD without asked to.
> 
> Weird.  What you describe sounds as if shepherd is not looking at the
> right process or something.
> 
> If you have a service definition to reproduce this, I’d be happy to
> take a look!
The second is probably just me forgetting to set #:respawn? #t.  One
"bug" down, one more to go.